<?php declare(strict_types=1);

namespace Infomaker\Everyware\Support;


class Format
{
    /**
     * Format image crop number, making sure 1.0 or 0 isn't returned, since Imengine behaves unexpectedly with these
     *
     * @param $number
     *
     * @return float
     */
    public static function formatNumberToImengineFloat($number): float
    {
        $number = (float)sprintf('%.5f', $number + 0);
        if (\strlen((string)$number) === 1) {
            if ($number === 1.0) {
                $number = 0.99999;
            } elseif ($number === 0.0) {
                $number = 0.00001;
            }
        }

        return $number;
    }
}
